As a product manager, I'd like to know who is using our search API and how they're using it, so I can figure out how to prioritise tasks. (part 2)
Closed, ResolvedPublic8 Story Points


Repeat the analysis done for our opensearch API in T99013 for our other APIs.

T100468 needs to be finished first.

  • Stakeholder: Product Manager, Search & Discovery
  • Benefit: Knowing usage information will enable Product Manager to make prioritisation decisions around API
  • Estimate: To be added by Data Analyst from Search & Discovery
Deskana created this task.Jun 4 2015, 1:15 PM
Deskana updated the task description. (Show Details)
Deskana raised the priority of this task from to Normal.
Deskana added a project: Discovery.
Deskana added a subscriber: Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2015, 1:15 PM
Deskana moved this task from Needs triage to Analysis on the Discovery board.Jun 4 2015, 1:16 PM

@Spage, I think this exercise might be useful to know which Web-APIs-Hub documentation for 3rd party developers we want to prioritize.

Deskana updated the task description. (Show Details)Jun 4 2015, 1:27 PM
Deskana set Security to None.
Deskana updated the task description. (Show Details)
Ironholds edited a custom field.

This is related to T107211, but is distinct; T107211 is focussed specifically focussed on zero results, whereas this is more general.

Deskana removed Ironholds as the assignee of this task.Aug 4 2015, 8:09 PM
Ironholds edited a custom field.
Ironholds claimed this task.
Qgil added a comment.Aug 20 2015, 7:22 AM

Do we have any idea about who is doing these API queries, for which products, for which purposes?

Short answer, not really; as the report makes clear this is intentionally a high-level summary. We will dig into the sources more if and when we begin reforming how we expect users to format incoming search requests.

If you are interested in generalised reports on this sort of issue I would recommend putting a Phabricator card in the Research team's backlog.

Deskana closed this task as Resolved.Aug 31 2015, 6:41 PM
Deskana moved this task from Done to Resolved on the Discovery-Analysis (Current work) board.